## enemylines3 1.2

=== generators/SConstruct ===
list=Split("intreg1.cc util.cc hole.cc lab.cc randomize_height.cc stamp.cc pyr.cc invert.cc")

Import('env')
obj = env.Object(
	list,
   CCFLAGS="-I./ -I../ -g -Wall"
)
Return('obj')

=== tweak/SConstruct ===
#list=Split("tweak_debug.cc tweak_debugfuns.cc")
list=Split("tweak_release.cc")

Import('env')
obj = env.Object(
	list,
   CCFLAGS="-I./ -I../ -g -Wall"
)
Return('obj')

=== debian/changelog ===
enemylines3 (1.2-8) unstable; urgency=medium

  * Team upload.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org.

  [ Markus Koschany ]
  * Update menu file. Use the absolute icon path to display the menu icon.
    (Closes: #726218)
  * wrap-and-sort -sa.
  * Use compat level 9 and require debhelper >= 9.
  * Vcs-Browser: Use https.
  * Declare compliance with Debian Policy 3.9.8.
  * enemylines3.desktop: Add keywords and a comment in German.
  * Switch from ttf-dejavu to fonts-dejavu dependency.
  * Update debian/copyright to copyright format 1.0.
  * Add DEP-3 header to all patches.
  * Add hardening.patch and enable all hardening build flags.

 -- Markus Koschany <apo@debian.org>  Wed, 13 Apr 2016 07:12:11 +0200

enemylines3 (1.2-7) unstable; urgency=low

  * Team upload.
  * No longer include now non-existant curl/types.h. (Closes: #637701)
    + new patch: curl-include.diff
  * Use source format 3.0 (quilt).
  * Use minimal debian/rules with debhelper 8.
  * Bump Standards-Version to 3.9.2 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 14 Aug 2011 10:01:13 +0200

enemylines3 (1.2-6) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Remove deprecated Encoding key from .desktop file.

  [ Barry deFreese ]
  * Bump Standards Version to 3.8.1. (No changes needed).
  * Actually change depends from bitstream-vera to dejavu.
  * Minor debian/copyright syntax clean-up.
  * Add myself to uploaders.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 11 May 2009 10:24:45 -0400

enemylines3 (1.2-5) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * manpage: add a notice about -dir
  * use ttf-dejavu instead of ttf-bitstream-vera (Closes: #461255)
  * bump Standards-Version to 3.7.3 (no change)
  * add Vcs-{Svn,Browser} fields
  * remove the homepage URL from the description
  * build-depends on libcurl4-gnutls-dev instead of libcurl3-dev

  [ Jon Dowland ]
  * add Homepage: control field to source stanza

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 03 Feb 2008 16:48:24 +0100

enemylines3 (1.2-4) unstable; urgency=low

  [ Eddy Petrișor ]
  * added missing Encoding field in the desktop file

  [ Gonéri Le Bouder ]
  * remove Applications from Categorie in the desktop file since it's not
    an official categorie
  * use of quilt instead of dpatch
  * FTBFS with GCC 4.3, thanks Martin Michlmayr (Closes: #417169)
   - add fix_gcc4.3.patch
  * update the Homepage location
  * use the ttf-bitstream-vera/VeraMono.ttf instead of the duplicated one
  * do not ignore make clean return anymore

  [ Jon Dowland ]
  * update menu section to "Games/Action" for menu transition
    (thanks Linas Žvirblis)

 -- Jon Dowland <jon@alcopop.org>  Thu, 12 Jul 2007 11:27:28 +0100

enemylines3 (1.2-3) unstable; urgency=low

  [ Eddy Petrișor ]
  * Fixed Homepage semifield

  [ Gonéri Le Bouder ]
  * french comment in desktop file
  * watch file fixed since upstream URL had been changed

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Thu, 30 Nov 2006 15:52:09 +0100

enemylines3 (1.2-2) unstable; urgency=low

  * Standards-Version: 3.7.2
  * change Build-deps from libsdl-ttf1.2-dev to libsdl-ttf2.0-dev
  (Closes: #365785)
  * patch to fix build with: 02_fix_gcc4.1.patch
  (Closes: #368081)
  * typo in manpage

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Wed,  3 May 2006 09:52:51 +0200

enemylines3 (1.2-1) unstable; urgency=low

  * Initial release (Closes: #360342)
  * desktop file
  * homemade pixmap

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sat,  1 Apr 2006 15:13:57 +0200

=== debian/control ===
Source: enemylines3
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bdefreese@debian.org>
Build-Depends:
 debhelper (>= 9),
 docbook-to-man,
 libcurl4-gnutls-dev,
 libsdl-mixer1.2-dev,
 libsdl-ttf2.0-dev,
 libsdl1.2-dev
Standards-Version: 3.9.8
Homepage: http://proj.phk.at/el/3/
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/enemylines3/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/enemylines3/

Package: enemylines3
Architecture: any
Depends:
 fonts-dejavu,
 ${misc:Depends},
 ${shlibs:Depends}
Description: semi-abstract first person 3d-shooter game
 single-player game. You have to shoot evil robots before they get too
 close, you can use your jetpack to  escape.
 The robos can't jump but they tear down walls.

=== debian/watch ===
version=3
http://proj.phk.at/el/3/enemylines3-([\d\.]+).tar.bz2

## enemylines3 1.25

=== Makefile ===

DESTDIR	?= /usr/local

TARGET = enemylines3

CXX= g++

CXXFLAGS = -O2 -Wall `sdl-config --cflags` -I./ -Ielements/

LDFLAGS = `sdl-config --libs` -lGL -lGLU -lSDL_mixer -lSDL_ttf -lcurl


all: $(TARGET)

OFILES = audio.o config.o container.o entity.o font_data.o font.o font_ogl.o font_ttf.o frustum.o game.o help.o hiscore.o main.o mapbase.o map.o mapswitch.o menu.o random.o shot.o skybox.o sphere.o tile.o timeoutlist.o tips.o util.o generators/hole.o generators/intreg1.o generators/invert.o generators/lab.o generators/pyr.o generators/randomize_height.o generators/stamp.o generators/util.o elements/energy.o elements/goal_keys.o elements/goal_kills.o elements/goal_survive.o elements/interval.o elements/level.o elements/score.o elements/supercharge.o elements/timeleft.o models/block1_e.o models/block1_n.o models/block1_r.o models/block1_s.o models/block1_w.o models/block2_e.o models/block2_n.o models/block2_r.o models/block2_s.o models/block2_w.o models/block3_e.o models/block3_n.o models/block3_r.o models/block3_s.o models/block3_w.o models/floor1.o models/key.o models/pill.o models/robot.o models/skip.o models/weapon.o tweak/tweak_release.o

$(TARGET): $(OFILES)
	$(CXX) -o $(TARGET) $(OFILES) $(LDFLAGS)


clean:
	rm -f *.o elements/*.o models/*.o generators/*.o tweak/*.o $(TARGET)

install: 
	mkdir -p $(DESTDIR)/share/enemylines3/
	mkdir -p $(DESTDIR)/bin/
	cp $(TARGET) $(DESTDIR)/bin/
	cp data/* $(DESTDIR)/share/enemylines3/

=== SConstruct ===


env = Environment()
Export('env')
env.ParseConfig('sdl-config --cflags')
env.ParseConfig('sdl-config --static-libs')

objs = []
for subdir in ['generators','tweak','models','elements']:
	o = SConscript('%s/SConstruct' % subdir)
	objs.append(o)

env.Append(CCFLAGS = ['-g', '-Wall'])
#env.Append(CPPFLAGS = ['-Ielements','-DNOCURL','-DNOTTF'])
env.Append(CPPFLAGS = ['-Ielements'])
env.Append(LIBS = ['GL','GLU','SDL_mixer','SDL_ttf','curl'])

env.Program(target = 'enemylines3', 
	source = objs+[
		"main.cc",
		"entity.cc",
		"random.cc",
		"container.cc",
		"game.cc",
		"util.cc",
		"shot.cc",
		"mapbase.cc",
		"map.cc",
		"mapswitch.cc",
		"menu.cc",
		"help.cc", 
		"font.cc",
		"font_ogl.cc", 
		"font_data.cc",
		"font_ttf.cc",
		"skybox.cc",
		"config.cc",
		"sphere.cc",
		"tile.cc",
		"frustum.cc",
		"timeoutlist.cc",
		"tips.cc",
		"hiscore.cc",
		"audio.cc"
	]
)

=== elements/SConstruct ===
list=[
	"energy.cc",
	"interval.cc",
	"supercharge.cc",
	"score.cc",
	"level.cc",
	"goal_keys.cc",
	"goal_kills.cc",
	"goal_survive.cc",
	"timeleft.cc"
];

Import('env')
obj = env.Object(
	list,
   CPPFLAGS="-I./ -I../",
   CCFLAGS="-I./ -I../ -g -Wall"
)
Return('obj')

=== models/SConstruct ===
list=[
	#"p1_nw.cc","p1_n.cc","p1_ne.cc","p1_w.cc","p1_e.cc","p1_sw.cc","p1_s.cc","p1_se.cc", "p1_r.cc",
	#"p4_nw.cc","p4_n.cc","p4_ne.cc","p4_w.cc","p4_e.cc","p4_sw.cc","p4_s.cc","p4_se.cc",

	"block1_n.cc","block1_e.cc","block1_s.cc","block1_w.cc","block1_r.cc",
	"block2_n.cc","block2_e.cc","block2_s.cc","block2_w.cc","block2_r.cc",
	"block3_n.cc","block3_e.cc","block3_s.cc","block3_w.cc","block3_r.cc",
	"floor1.cc",
	"robot.cc",
	"weapon.cc",
	"pill.cc",
	"skip.cc",
	"key.cc"
];

Import('env')
obj = env.Object(
	list,
   CCFLAGS="-I./ -I../ -g -Wall -Wunreachable-code"
)
Return('obj')

=== debian/changelog ===
enemylines3 (1.25-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.25. (Closes: #916592)
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.3.0.
  * Use canonical VCS URI.
  * Improve debian/watch and find the latest upstream release.
  * Drop deprecated menu file.
  * Correct spelling mistakes in package description.
    Thanks to Nyav for the report. (Closes: #868941)
  * Drop GCC patches and curl-include.diff. Fixed upstream.

 -- Markus Koschany <apo@debian.org>  Sat, 29 Dec 2018 21:45:25 +0100

=== debian/control ===
Source: enemylines3
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bdefreese@debian.org>
Build-Depends:
 debhelper (>= 11),
 docbook-to-man,
 libcurl4-gnutls-dev,
 libsdl-mixer1.2-dev,
 libsdl-ttf2.0-dev,
 libsdl1.2-dev
Standards-Version: 4.3.0
Homepage: http://proj.phk.at/el/3/
Vcs-Git: https://salsa.debian.org/games-team/enemylines3.git
Vcs-Browser: https://salsa.debian.org/games-team/enemylines3

Package: enemylines3
Architecture: any
Depends:
 fonts-dejavu,
 ${misc:Depends},
 ${shlibs:Depends}
Description: semi-abstract first person 3d-shooter game
 Enemylines 3 is a single-player game. You have to shoot evil robots before
 they get too close, you can use your jetpack to escape. The robots can't jump
 but they tear down walls.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	docbook-to-man debian/enemylines3.sgml > debian/enemylines3.6

override_dh_auto_install:
	dh_auto_install -- DESTDIR="$(CURDIR)/debian/enemylines3/usr"
	mv $(CURDIR)/debian/enemylines3/usr/bin $(CURDIR)/debian/enemylines3/usr/games
	rm $(CURDIR)/debian/enemylines3/usr/share/enemylines3/font.ttf
